WC Vendors 2.0.2 Released

Today I released WC Vendors 2.0.1 and several hours later released WC Vendors 2.0.2. This addresses some critical issues including the error 500 that a lot of our users were seeing when they had WC Vendors 1.4.6 activated. Free will now deactivate Pro if it detects an unsupported version to ensure your site can still operate.

Here is a list of the changes.

Version 2.0.2

  • Fixed: Corrected settings conditional checks across classes
  • Fixed: Vendor Capabilities
  • Fixed: Reset vendor roles
  • Fixed: Incorrect get_option calls
  • Fixed: Permission check for product submit and order view
  • Updated: Templates to make tracking changes possible
  • Updated: Disable add new product completely if disabled
  • Updated: Make denied product message translatable.

Version 2.0.1

  • Fixed: Update notice won’t complete
  • Fixed: Legacy settings options loading
  • Fixed: Errors on activation when unsupported plugin is detected
  • Fixed: Display sold_by option not working

Known Issues

There is currently a bug in the new updater that is not dismissing the message after the update which is being worked on. I should hopefully have a fix for this in the next day or so.

If you have any questions, please send them through the forums on wordpress.org

Posted in Releases

Jamie is the founder and lead developer of WC Vendors. He has been working in the WordPress, WooCommerce and Marketplace space for more than 15 years, 9 of those dedicated to multivendor marketplaces.

This website uses cookies to ensure you get the best experience on our website.